Interpolation::templateImpl< I1, I2 > Class Template Reference

basic template implementation More...

`#include <ql/math/interpolation.hpp>`

Inheritance diagram for Interpolation::templateImpl< I1, I2 >:
[legend]

## Public Member Functions

| templateImpl (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, const int requiredPoints=2)
Real | xMin () const
Real | xMax () const
std::vector< Real > | xValues () const
std::vector< Real > | yValues () const
bool | isInRange (Real x) const
Public Member Functions inherited from Interpolation::Impl
virtual void | update ()=0
virtual Real | value (Real) const =0
virtual Real | primitive (Real) const =0
virtual Real | derivative (Real) const =0
virtual Real | secondDerivative (Real) const =0

## Protected Member Functions

Size | locate (Real x) const

## Protected Attributes

I1 | xBegin_
I1 | xEnd_
I2 | yBegin_

## Detailed Description

### template<class I1, class I2>
class QuantLib::Interpolation::templateImpl< I1, I2 >

basic template implementation